AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- ConfirmSignInComponentCore
  - ConfirmSignInComponentIonic

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _authState
- _show
- amplifyService
- code
- errorMessage
- logger

### Accessors

- authState
- data

### Methods

- _setError
- ngOnInit
- onAlertClose
- onConfirm
- onSignIn
- setCode

## Constructors

### constructor

- new ConfirmSignInComponentCore(amplifyService: AmplifyService): ConfirmSignInComponentCore

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:72

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns ConfirmSignInComponentCore

## Properties

### _authState

_authState: AuthState

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:68

### _show

_show: boolean

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:69

### Protected amplifyService

amplifyService: AmplifyService

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:74

### code

code: string

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:70

### errorMessage

errorMessage: string

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:71

### Protected logger

logger: any

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:72

## Accessors

### authState

authState:

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:85

### data

data:

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:79

## Methods

### _setError

- _setError(err: any): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:126

  #### Parameters

  - ##### err: any

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:90

  #### Returns void

### onAlertClose

- onAlertClose(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:122

  #### Returns void

### onConfirm

- onConfirm(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:100

  #### Returns void

### onSignIn

- onSignIn(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:117

  #### Returns void

### setCode

- setCode(code: string): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-in-component/confirm-sign-in-component.core.ts:96

  #### Parameters

  - ##### code: string

  #### Returns void